Subject: bug#34504: 'pp' causally mentioned

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Feb 2019 20:57:00 +0200

> From: 積丹尼 Dan Jacobson <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 17 Feb 2019 23:37:29 +0800
> 
> OK it can only do objects, not a collection of objects, which is what I
> suppose a file is.

No, a file is not a collection of objects, not unless you eval it.

> So how to pretty print one's .emacs file with it
> might be mentioned as an exercise for the reader on that page.

I don't think 'pp' is something that would support such an exercise.
IOW, I think you are looking for a feature in the wrong place.